export const prettyDurationFromMinutes = (runtime) => {
  const hours = Math.floor(runtime / 60);
  const minutes = (runtime % 60);

  let duration = "";
  if (hours > 0) { duration += hours + "h" }
  if (minutes > 0) { duration += ("0" + minutes).slice(-2) }
  if (hours === 0) { duration += " min" }

  return duration;
}

const pad = (d) => (d < 10) ? "0" + d.toString() : d.toString();

export const prettyEpisodeName = (showName, season, episode) =>
  `${showName} S${pad(season)}E${pad(episode)}`;

export const inLibrary = (element) =>
  element.get("polochon_url", "") !== "";
